// See https://aka.ms/new-console-template for more information

using Gtk;

using System;
using System.Net.Http;
using System.Threading.Tasks;

partial class Program {

    static async Task Main(string[] args){
        Application.Init();
        
        var window = new Window("My TEst");
        window.SetDefaultSize(320,240);
        window.DeleteEvent += (o,e) => Application.Quit();
        
        RunIt();
        
        window.ShowAll();
        
        Application.Run();

    }


      static async Task RunIt()
    {
        string result = await  DrApi.get_rants("https://devrant.com/feed/recent").ConfigureAwait(false);
         
        Console.WriteLine(result);

    }
}

